package TestingSystem.SAPFOR.SapforTasksPackage.UI;
import GlobalData.Tasks.TaskState;
public class StateSummary extends SapforPackageTreeNode {
    public TaskState state;
    public int count = 0;
    public StateSummary(TaskState state_in) {
        state = state_in;
    }
    @Override
    public String toString() {
        return state.getDescription() + " : " + count;
    }
    @Override
    public String getImageKey() {
        switch (state) {
            case Done:
                return "DoneStateSummary";
            case DoneWithErrors:
                return "ErrorsStateSummary";
            default:
                return "UnknownStateSummary";
        }
    }
}
